Skip to content
POST/{organizationId}/{mandateId}/booking/resources/checkIns/list

List check-ins

Returns a list of check-ins for resources.

Required permissions:

  • mandate.read

  • resource.read

  • resourceCheckIn.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

limitintegeroptional

Default: 50

minimum: 0

maximum: 1000

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

returnCountbooleanoptional

Default: false

searchTermstringoptional
searchKeysbooleanoptional
siteIdstringoptional
contactIdstringoptional

A stringified json object representing a property filter

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/booking/resources/checkIns/list
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/resources/checkIns/list' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "sort": {},
  "limit": 50,
  "offset": 0
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "count": 0,
  "checkIns": [
    {
      "_id": "000000000000000000000001",
      "mandate": "000000000000000000000001",
      "resource": "000000000000000000000001",
      "resourceName": "string",
      "site": "000000000000000000000001",
      "siteName": "string",
      "contact": {
        "name": "string",
        "type": "contact",
        "nameNormalized": "string",
        "nameSort": "string",
        "contact": "000000000000000000000001",
        "image": {
          "resource": "string"
        },
        "user": {
          "name": "string",
          "type": "user",
          "userId": "string",
          "image": {
            "resource": "string"
          }
        }
      },
      "checkInAt": "2026-06-15T22:30:00Z",
      "checkOutAt": "2026-06-15T22:30:00Z"
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}